%define		_class		Math
%define		_subclass	Basex
%define		upstream_name	%{_class}_%{_subclass}

%define		_requires_exceptions pear(../Basex.php)

Name:		php-pear-%{upstream_name}
Version:	0.3
Release:	%mkrel 13
Summary:	%{_class}_%{_subclass} - Base X conversion class
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Math_Basex/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Simple class for converting base set of numbers with a customize
character base set.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3-13.mga3
+ Revision: 376837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.3-12.mga1
+ Revision: 43331
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Basex

